<?php

require_once "db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("SELECT  MAX(CAST(cedula AS UNSIGNED)) codigo FROM profesores where cedula<500");

    $row = $obj->fetch_assoc($resultado);

    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>C&Oacute;DIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' VALUE='".($row['codigo']+1)."' TYPE='TEXT' ID='CODIGO' SIZE='15' ></td>";
    $cadena.="<td width='35%' align='CENTER'><b>NOMBRES Y APELLIDOS</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='NOMBRES' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";
    $cadena.="</table>";

    $cadena.="<table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>DIRECCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DIRECCION' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="<td><b>TEL&Eacute;FONO</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='TELEFONO' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr><td colspan='4' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Grabar();' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr>";
    $cadena.="</table>";
    $cadena.="</center>";
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_profesor'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $nombres=$_POST['nombres'];
    $direccion=$_POST['direccion'];
    $telefono=$_POST['telefono'];


    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("insert into profesores (cedula,nombres,direccion,telefono) values('".$codigo."','".$nombres."','".$direccion."','".$telefono."')");
    
    //--- Crear USUARIO : cedula Y CONTRASE&ntilde;A : "a" como contrase&ntilde;a para todos 
    
    $obj->consulta("INSERT INTO usuarios(id,usuario,contrasena,rol,email,fecha_reg) values('".$codigo."','".$codigo."','a','1','.',NOW())");
          
    
    $obj->disconnect();

    if($resultado){
       echo "Registro Grabado";
    }
}
//------------------------------------

if ($_POST['accion']=='actualizar_profesor'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $nombres=$_POST['nombres'];
    $direccion=$_POST['direccion'];
    $telefono=$_POST['telefono'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("update profesores set nombres ='".$nombres."',direccion='".$direccion."',telefono='".$telefono."' where cedula='".$codigo."'");

    $obj->disconnect();

    if($resultado){
       echo "Profesor Actualizado";
    }
}

//------------------------------------

if ($_POST['accion']=='borrar_profesor'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select * from curso_asignatura_profesor where profesor='".$codigo."'");
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
       echo "No se puede Eliminar el Profesor - Contiene Registros -";
    }
    else{
       $resultado1=$obj->consulta("delete from profesores where cedula='".$codigo."'");

       if($resultado1){
          echo "Profesor Eliminado";
       }
    }

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_profesor'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from profesores where cedula='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);


    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>C&Oacute;DIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='CODIGO' VALUE='".$row['cedula']."' SIZE='15' ></td>";
    $cadena.="<td width='35%' align='CENTER'><b>NOMBRES Y APELLIDOS</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='NOMBRES' VALUE='".($row['nombres'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";
    $cadena.="</table>";

    $cadena.="<table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr>";
    $cadena.="<td width='10%'><b>DIRECCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='DIRECCION' VALUE='".($row['direccion'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="<td><b>TEL&Eacute;FONO</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='TELEFONO' VALUE='".$row['telefono']."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr><td colspan='4' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizar();' value=' Actualizar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr>";
    $cadena.="</table>";
    $cadena.="</center>";
    echo $cadena;

}


?>
